pragma Warnings (Off);
pragma Ada_95;
pragma Source_File_Name (gnatcoll_sqlitemain, Spec_File_Name => "b__gnatcoll_sqlite.ads");
pragma Source_File_Name (gnatcoll_sqlitemain, Body_File_Name => "b__gnatcoll_sqlite.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body gnatcoll_sqlitemain is

   E069 : Short_Integer; pragma Import (Ada, E069, "system__os_lib_E");
   E019 : Short_Integer; pragma Import (Ada, E019, "system__soft_links_E");
   E017 : Short_Integer; pragma Import (Ada, E017, "system__exception_table_E");
   E064 : Short_Integer; pragma Import (Ada, E064, "ada__io_exceptions_E");
   E042 : Short_Integer; pragma Import (Ada, E042, "ada__containers_E");
   E027 : Short_Integer; pragma Import (Ada, E027, "system__exceptions_E");
   E014 : Short_Integer; pragma Import (Ada, E014, "ada__strings_E");
   E097 : Short_Integer; pragma Import (Ada, E097, "ada__strings__maps_E");
   E100 : Short_Integer; pragma Import (Ada, E100, "ada__strings__maps__constants_E");
   E047 : Short_Integer; pragma Import (Ada, E047, "interfaces__c_E");
   E093 : Short_Integer; pragma Import (Ada, E093, "system__soft_links__initialize_E");
   E075 : Short_Integer; pragma Import (Ada, E075, "system__object_reader_E");
   E054 : Short_Integer; pragma Import (Ada, E054, "system__dwarf_lines_E");
   E041 : Short_Integer; pragma Import (Ada, E041, "system__traceback__symbolic_E");
   E104 : Short_Integer; pragma Import (Ada, E104, "ada__tags_E");
   E102 : Short_Integer; pragma Import (Ada, E102, "ada__streams_E");
   E138 : Short_Integer; pragma Import (Ada, E138, "gnat_E");
   E237 : Short_Integer; pragma Import (Ada, E237, "interfaces__c__strings_E");
   E195 : Short_Integer; pragma Import (Ada, E195, "system__file_control_block_E");
   E127 : Short_Integer; pragma Import (Ada, E127, "system__finalization_root_E");
   E125 : Short_Integer; pragma Import (Ada, E125, "ada__finalization_E");
   E194 : Short_Integer; pragma Import (Ada, E194, "system__file_io_E");
   E225 : Short_Integer; pragma Import (Ada, E225, "ada__streams__stream_io_E");
   E129 : Short_Integer; pragma Import (Ada, E129, "system__storage_pools_E");
   E122 : Short_Integer; pragma Import (Ada, E122, "system__finalization_masters_E");
   E120 : Short_Integer; pragma Import (Ada, E120, "system__storage_pools__subpools_E");
   E114 : Short_Integer; pragma Import (Ada, E114, "ada__strings__unbounded_E");
   E253 : Short_Integer; pragma Import (Ada, E253, "system__task_info_E");
   E247 : Short_Integer; pragma Import (Ada, E247, "system__task_primitives__operations_E");
   E209 : Short_Integer; pragma Import (Ada, E209, "system__regpat_E");
   E143 : Short_Integer; pragma Import (Ada, E143, "ada__calendar_E");
   E149 : Short_Integer; pragma Import (Ada, E149, "ada__calendar__time_zones_E");
   E190 : Short_Integer; pragma Import (Ada, E190, "ada__text_io_E");
   E140 : Short_Integer; pragma Import (Ada, E140, "gnat__calendar_E");
   E188 : Short_Integer; pragma Import (Ada, E188, "gnat__calendar__time_io_E");
   E334 : Short_Integer; pragma Import (Ada, E334, "gnat__directory_operations_E");
   E318 : Short_Integer; pragma Import (Ada, E318, "system__assertions_E");
   E308 : Short_Integer; pragma Import (Ada, E308, "system__checked_pools_E");
   E303 : Short_Integer; pragma Import (Ada, E303, "gnat__debug_pools_E");
   E178 : Short_Integer; pragma Import (Ada, E178, "system__pool_global_E");
   E204 : Short_Integer; pragma Import (Ada, E204, "gnat__expect_E");
   E176 : Short_Integer; pragma Import (Ada, E176, "system__pool_size_E");
   E343 : Short_Integer; pragma Import (Ada, E343, "system__regexp_E");
   E338 : Short_Integer; pragma Import (Ada, E338, "ada__directories_E");
   E269 : Short_Integer; pragma Import (Ada, E269, "system__tasking__initialization_E");
   E279 : Short_Integer; pragma Import (Ada, E279, "system__tasking__protected_objects_E");
   E281 : Short_Integer; pragma Import (Ada, E281, "system__tasking__protected_objects__entries_E");
   E277 : Short_Integer; pragma Import (Ada, E277, "system__tasking__queuing_E");
   E167 : Short_Integer; pragma Import (Ada, E167, "gnatcoll__atomic_E");
   E301 : Short_Integer; pragma Import (Ada, E301, "gnatcoll__memory_E");
   E235 : Short_Integer; pragma Import (Ada, E235, "gnatcoll__plugins_E");
   E171 : Short_Integer; pragma Import (Ada, E171, "gnatcoll__storage_pools__headers_E");
   E169 : Short_Integer; pragma Import (Ada, E169, "gnatcoll__refcount_E");
   E293 : Short_Integer; pragma Import (Ada, E293, "gnatcoll__strings_impl_E");
   E291 : Short_Integer; pragma Import (Ada, E291, "gnatcoll__strings_E");
   E290 : Short_Integer; pragma Import (Ada, E290, "gnatcoll__strings_E");
   E310 : Short_Integer; pragma Import (Ada, E310, "gnatcoll__mmap_E");
   E312 : Short_Integer; pragma Import (Ada, E312, "gnatcoll__mmap__system_E");
   E314 : Short_Integer; pragma Import (Ada, E314, "gnatcoll__templates_E");
   E316 : Short_Integer; pragma Import (Ada, E316, "gnatcoll__terminal_E");
   E184 : Short_Integer; pragma Import (Ada, E184, "gnatcoll__utils_E");
   E180 : Short_Integer; pragma Import (Ada, E180, "gnatcoll__sql_impl_E");
   E164 : Short_Integer; pragma Import (Ada, E164, "gnatcoll__sql_E");
   E329 : Short_Integer; pragma Import (Ada, E329, "gnatcoll__io_E");
   E345 : Short_Integer; pragma Import (Ada, E345, "gnatcoll__path_E");
   E336 : Short_Integer; pragma Import (Ada, E336, "gnatcoll__io__native_E");
   E348 : Short_Integer; pragma Import (Ada, E348, "gnatcoll__remote_E");
   E352 : Short_Integer; pragma Import (Ada, E352, "gnatcoll__remote__db_E");
   E332 : Short_Integer; pragma Import (Ada, E332, "gnatcoll__io__remote_E");
   E350 : Short_Integer; pragma Import (Ada, E350, "gnatcoll__io__remote__windows_E");
   E347 : Short_Integer; pragma Import (Ada, E347, "gnatcoll__io__remote__unix_E");
   E323 : Short_Integer; pragma Import (Ada, E323, "gnatcoll__vfs_E");
   E295 : Short_Integer; pragma Import (Ada, E295, "gnatcoll__traces_E");
   E231 : Short_Integer; pragma Import (Ada, E231, "gnatcoll__sql__exec_E");
   E239 : Short_Integer; pragma Import (Ada, E239, "gnatcoll__sql__exec__tasking_E");
   E285 : Short_Integer; pragma Import (Ada, E285, "gnatcoll__sql__exec_private_E");
   E006 : Short_Integer; pragma Import (Ada, E006, "gnatcoll__sql__sqlite_E");
   E002 : Short_Integer; pragma Import (Ada, E002, "gnatcoll__sql__sqlite__builder_E");
   E004 : Short_Integer; pragma Import (Ada, E004, "gnatcoll__sql__sqlite__gnade_E");

   Sec_Default_Sized_Stacks : array (1 .. 1) of aliased System.Secondary_Stack.SS_Stack (System.Parameters.Runtime_Default_Sec_Stack_Size);

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "gnatcoll__sql__sqlite__builder__finalize_body");
      begin
         E002 := E002 - 1;
         if E002 = 0 then
            F1;
         end if;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "gnatcoll__sql__sqlite__finalize_body");
      begin
         E006 := E006 - 1;
         if E006 = 0 then
            F2;
         end if;
      end;
      declare
         procedure F3;
         pragma Import (Ada, F3, "gnatcoll__sql__sqlite__finalize_spec");
      begin
         if E006 = 0 then
            F3;
         end if;
      end;
      declare
         procedure F4;
         pragma Import (Ada, F4, "gnatcoll__sql__exec__finalize_body");
      begin
         E231 := E231 - 1;
         if E231 = 0 then
            F4;
         end if;
      end;
      declare
         procedure F5;
         pragma Import (Ada, F5, "gnatcoll__sql__exec__tasking__finalize_body");
      begin
         E239 := E239 - 1;
         if E239 = 0 then
            F5;
         end if;
      end;
      declare
         procedure F6;
         pragma Import (Ada, F6, "gnatcoll__sql__exec__finalize_spec");
      begin
         if E231 = 0 then
            F6;
         end if;
      end;
      declare
         procedure F7;
         pragma Import (Ada, F7, "gnatcoll__traces__finalize_body");
      begin
         E295 := E295 - 1;
         if E295 = 0 then
            F7;
         end if;
      end;
      declare
         procedure F8;
         pragma Import (Ada, F8, "gnatcoll__traces__finalize_spec");
      begin
         if E295 = 0 then
            F8;
         end if;
      end;
      E323 := E323 - 1;
      declare
         procedure F9;
         pragma Import (Ada, F9, "gnatcoll__vfs__finalize_spec");
      begin
         if E323 = 0 then
            F9;
         end if;
      end;
      E332 := E332 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "gnatcoll__io__remote__finalize_spec");
      begin
         if E332 = 0 then
            F10;
         end if;
      end;
      declare
         procedure F11;
         pragma Import (Ada, F11, "gnatcoll__remote__finalize_spec");
      begin
         E348 := E348 - 1;
         if E348 = 0 then
            F11;
         end if;
      end;
      E336 := E336 - 1;
      declare
         procedure F12;
         pragma Import (Ada, F12, "gnatcoll__io__native__finalize_spec");
      begin
         if E336 = 0 then
            F12;
         end if;
      end;
      E329 := E329 - 1;
      declare
         procedure F13;
         pragma Import (Ada, F13, "gnatcoll__io__finalize_spec");
      begin
         if E329 = 0 then
            F13;
         end if;
      end;
      declare
         procedure F14;
         pragma Import (Ada, F14, "gnatcoll__sql__finalize_body");
      begin
         E164 := E164 - 1;
         if E164 = 0 then
            F14;
         end if;
      end;
      declare
         procedure F15;
         pragma Import (Ada, F15, "gnatcoll__sql__finalize_spec");
      begin
         if E164 = 0 then
            F15;
         end if;
      end;
      declare
         procedure F16;
         pragma Import (Ada, F16, "gnatcoll__sql_impl__finalize_body");
      begin
         E180 := E180 - 1;
         if E180 = 0 then
            F16;
         end if;
      end;
      declare
         procedure F17;
         pragma Import (Ada, F17, "gnatcoll__sql_impl__finalize_spec");
      begin
         if E180 = 0 then
            F17;
         end if;
      end;
      E316 := E316 - 1;
      declare
         procedure F18;
         pragma Import (Ada, F18, "gnatcoll__terminal__finalize_spec");
      begin
         if E316 = 0 then
            F18;
         end if;
      end;
      E169 := E169 - 1;
      declare
         procedure F19;
         pragma Import (Ada, F19, "gnatcoll__refcount__finalize_spec");
      begin
         if E169 = 0 then
            F19;
         end if;
      end;
      declare
         procedure F20;
         pragma Import (Ada, F20, "gnatcoll__memory__finalize_body");
      begin
         E301 := E301 - 1;
         if E301 = 0 then
            F20;
         end if;
      end;
      E281 := E281 - 1;
      declare
         procedure F21;
         pragma Import (Ada, F21, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E281 = 0 then
            F21;
         end if;
      end;
      E338 := E338 - 1;
      declare
         procedure F22;
         pragma Import (Ada, F22, "ada__directories__finalize_spec");
      begin
         if E338 = 0 then
            F22;
         end if;
      end;
      E343 := E343 - 1;
      declare
         procedure F23;
         pragma Import (Ada, F23, "system__regexp__finalize_spec");
      begin
         if E343 = 0 then
            F23;
         end if;
      end;
      E176 := E176 - 1;
      declare
         procedure F24;
         pragma Import (Ada, F24, "system__pool_size__finalize_spec");
      begin
         if E176 = 0 then
            F24;
         end if;
      end;
      E204 := E204 - 1;
      declare
         procedure F25;
         pragma Import (Ada, F25, "gnat__expect__finalize_spec");
      begin
         if E204 = 0 then
            F25;
         end if;
      end;
      E178 := E178 - 1;
      declare
         procedure F26;
         pragma Import (Ada, F26, "system__pool_global__finalize_spec");
      begin
         if E178 = 0 then
            F26;
         end if;
      end;
      declare
         procedure F27;
         pragma Import (Ada, F27, "gnat__debug_pools__finalize_body");
      begin
         E303 := E303 - 1;
         if E303 = 0 then
            F27;
         end if;
      end;
      declare
         procedure F28;
         pragma Import (Ada, F28, "gnat__debug_pools__finalize_spec");
      begin
         if E303 = 0 then
            F28;
         end if;
      end;
      E190 := E190 - 1;
      declare
         procedure F29;
         pragma Import (Ada, F29, "ada__text_io__finalize_spec");
      begin
         if E190 = 0 then
            F29;
         end if;
      end;
      E114 := E114 - 1;
      declare
         procedure F30;
         pragma Import (Ada, F30, "ada__strings__unbounded__finalize_spec");
      begin
         if E114 = 0 then
            F30;
         end if;
      end;
      E120 := E120 - 1;
      declare
         procedure F31;
         pragma Import (Ada, F31, "system__storage_pools__subpools__finalize_spec");
      begin
         if E120 = 0 then
            F31;
         end if;
      end;
      E122 := E122 - 1;
      declare
         procedure F32;
         pragma Import (Ada, F32, "system__finalization_masters__finalize_spec");
      begin
         if E122 = 0 then
            F32;
         end if;
      end;
      E225 := E225 - 1;
      declare
         procedure F33;
         pragma Import (Ada, F33, "ada__streams__stream_io__finalize_spec");
      begin
         if E225 = 0 then
            F33;
         end if;
      end;
      declare
         procedure F34;
         pragma Import (Ada, F34, "system__file_io__finalize_body");
      begin
         E194 := E194 - 1;
         if E194 = 0 then
            F34;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure gnatcoll_sqlitefinal is

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      finalize_library;
   end gnatcoll_sqlitefinal;

   type No_Param_Proc is access procedure;

   procedure gnatcoll_sqliteinit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Default_Secondary_Stack_Size : System.Parameters.Size_Type;
      pragma Import (C, Default_Secondary_Stack_Size, "__gnat_default_ss_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
      Binder_Sec_Stacks_Count : Natural;
      pragma Import (Ada, Binder_Sec_Stacks_Count, "__gnat_binder_ss_count");
      Default_Sized_SS_Pool : System.Address;
      pragma Import (Ada, Default_Sized_SS_Pool, "__gnat_default_ss_pool");

   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, True, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (False, False, False, False, True, True, False, False, 
           True, False, False, True, True, True, True, False, 
           False, True, False, False, True, True, False, True, 
           True, False, True, True, True, True, False, True, 
           False, False, False, True, False, False, True, False, 
           True, False, True, True, False, False, False, True, 
           False, False, False, True, False, True, False, True, 
           False, False, False, False, False, True, True, True, 
           False, False, True, False, True, True, True, False, 
           True, True, False, True, True, True, True, False, 
           False, True, False, False, False, False, False, False, 
           False, False, True, False),
         Count => (0, 0, 0, 0, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      gnatcoll_sqlitemain'Elab_Body;
      Default_Secondary_Stack_Size := System.Parameters.Runtime_Default_Sec_Stack_Size;
      Binder_Sec_Stacks_Count := 1;
      Default_Sized_SS_Pool := Sec_Default_Sized_Stacks'Address;

      Runtime_Initialize (1);

      if E019 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E017 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E017 := E017 + 1;
      if E064 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E064 := E064 + 1;
      if E042 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E042 := E042 + 1;
      if E027 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E027 := E027 + 1;
      if E014 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E014 := E014 + 1;
      if E097 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      if E100 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E100 := E100 + 1;
      if E069 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E069 := E069 + 1;
      if E047 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      if E093 = 0 then
         System.Soft_Links.Initialize'Elab_Body;
      end if;
      E093 := E093 + 1;
      E019 := E019 + 1;
      E097 := E097 + 1;
      E047 := E047 + 1;
      if E075 = 0 then
         System.Object_Reader'Elab_Spec;
      end if;
      if E054 = 0 then
         System.Dwarf_Lines'Elab_Spec;
      end if;
      E075 := E075 + 1;
      if E041 = 0 then
         System.Traceback.Symbolic'Elab_Body;
      end if;
      E041 := E041 + 1;
      E054 := E054 + 1;
      if E104 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E104 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E104 := E104 + 1;
      if E102 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E102 := E102 + 1;
      if E138 = 0 then
         Gnat'Elab_Spec;
      end if;
      E138 := E138 + 1;
      if E237 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      E237 := E237 + 1;
      if E195 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E195 := E195 + 1;
      if E127 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E127 := E127 + 1;
      if E125 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E125 := E125 + 1;
      if E194 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E194 := E194 + 1;
      if E225 = 0 then
         Ada.Streams.Stream_Io'Elab_Spec;
      end if;
      E225 := E225 + 1;
      if E129 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E129 := E129 + 1;
      if E122 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E122 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E122 := E122 + 1;
      if E120 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      E120 := E120 + 1;
      if E114 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E114 := E114 + 1;
      if E253 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E253 := E253 + 1;
      if E247 = 0 then
         System.Task_Primitives.Operations'Elab_Body;
      end if;
      E247 := E247 + 1;
      if E209 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      E209 := E209 + 1;
      if E143 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E143 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E143 := E143 + 1;
      if E149 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E149 := E149 + 1;
      if E190 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E190 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E190 := E190 + 1;
      if E140 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E140 := E140 + 1;
      if E188 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      E188 := E188 + 1;
      if E334 = 0 then
         Gnat.Directory_Operations'Elab_Spec;
      end if;
      if E334 = 0 then
         Gnat.Directory_Operations'Elab_Body;
      end if;
      E334 := E334 + 1;
      if E318 = 0 then
         System.Assertions'Elab_Spec;
      end if;
      E318 := E318 + 1;
      if E308 = 0 then
         System.Checked_Pools'Elab_Spec;
      end if;
      E308 := E308 + 1;
      if E303 = 0 then
         Gnat.Debug_Pools'Elab_Spec;
      end if;
      if E303 = 0 then
         Gnat.Debug_Pools'Elab_Body;
      end if;
      E303 := E303 + 1;
      if E178 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E178 := E178 + 1;
      if E204 = 0 then
         Gnat.Expect'Elab_Spec;
      end if;
      E204 := E204 + 1;
      if E176 = 0 then
         System.Pool_Size'Elab_Spec;
      end if;
      E176 := E176 + 1;
      if E343 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E343 := E343 + 1;
      if E338 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E338 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E338 := E338 + 1;
      if E269 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E269 := E269 + 1;
      if E279 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E279 := E279 + 1;
      if E281 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E281 := E281 + 1;
      if E277 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E277 := E277 + 1;
      E167 := E167 + 1;
      if E301 = 0 then
         GNATCOLL.MEMORY'ELAB_BODY;
      end if;
      E301 := E301 + 1;
      E235 := E235 + 1;
      E171 := E171 + 1;
      if E169 = 0 then
         GNATCOLL.REFCOUNT'ELAB_SPEC;
      end if;
      E169 := E169 + 1;
      E293 := E293 + 1;
      if E291 = 0 then
         GNATCOLL.STRINGS'ELAB_SPEC;
      end if;
      if E291 = 0 then
         GNATCOLL.STRINGS'ELAB_BODY;
      end if;
      E291 := E291 + 1;
      if E310 = 0 then
         GNATCOLL.MMAP'ELAB_SPEC;
      end if;
      E312 := E312 + 1;
      E310 := E310 + 1;
      if E314 = 0 then
         GNATCOLL.TEMPLATES'ELAB_SPEC;
      end if;
      E314 := E314 + 1;
      if E316 = 0 then
         GNATCOLL.TERMINAL'ELAB_SPEC;
      end if;
      if E316 = 0 then
         GNATCOLL.TERMINAL'ELAB_BODY;
      end if;
      E316 := E316 + 1;
      E184 := E184 + 1;
      if E180 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_SPEC;
      end if;
      if E180 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_BODY;
      end if;
      E180 := E180 + 1;
      if E164 = 0 then
         GNATCOLL.SQL'ELAB_SPEC;
      end if;
      if E164 = 0 then
         GNATCOLL.SQL'ELAB_BODY;
      end if;
      E164 := E164 + 1;
      if E329 = 0 then
         GNATCOLL.IO'ELAB_SPEC;
      end if;
      if E329 = 0 then
         GNATCOLL.IO'ELAB_BODY;
      end if;
      E329 := E329 + 1;
      if E345 = 0 then
         GNATCOLL.PATH'ELAB_SPEC;
      end if;
      if E345 = 0 then
         GNATCOLL.PATH'ELAB_BODY;
      end if;
      E345 := E345 + 1;
      if E336 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_SPEC;
      end if;
      if E336 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_BODY;
      end if;
      E336 := E336 + 1;
      if E348 = 0 then
         GNATCOLL.REMOTE'ELAB_SPEC;
      end if;
      E348 := E348 + 1;
      if E352 = 0 then
         GNATCOLL.REMOTE.DB'ELAB_SPEC;
      end if;
      E352 := E352 + 1;
      if E332 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_SPEC;
      end if;
      E350 := E350 + 1;
      E347 := E347 + 1;
      if E332 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_BODY;
      end if;
      E332 := E332 + 1;
      if E323 = 0 then
         GNATCOLL.VFS'ELAB_SPEC;
      end if;
      if E323 = 0 then
         GNATCOLL.VFS'ELAB_BODY;
      end if;
      E323 := E323 + 1;
      if E295 = 0 then
         GNATCOLL.TRACES'ELAB_SPEC;
      end if;
      if E295 = 0 then
         GNATCOLL.TRACES'ELAB_BODY;
      end if;
      E295 := E295 + 1;
      if E231 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_SPEC;
      end if;
      if E285 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_SPEC;
      end if;
      if E285 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_BODY;
      end if;
      E285 := E285 + 1;
      if E239 = 0 then
         GNATCOLL.SQL.EXEC.TASKING'ELAB_BODY;
      end if;
      E239 := E239 + 1;
      if E231 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_BODY;
      end if;
      E231 := E231 + 1;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_SPEC;
      end if;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_BODY;
      end if;
      E006 := E006 + 1;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_SPEC;
      end if;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_BODY;
      end if;
      E004 := E004 + 1;
      if E002 = 0 then
         GNATCOLL.SQL.SQLITE.BUILDER'ELAB_BODY;
      end if;
      E002 := E002 + 1;
   end gnatcoll_sqliteinit;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/gnatcoll-db-gpl-2018-src/sqlite/obj/relocatable/gnatcoll-sql-sqlite.o
   --   /builddir/build/BUILD/gnatcoll-db-gpl-2018-src/sqlite/obj/relocatable/gnatcoll-sql-sqlite-gnade.o
   --   /builddir/build/BUILD/gnatcoll-db-gpl-2018-src/sqlite/obj/relocatable/gnatcoll-sql-sqlite-builder.o
   --   -L/builddir/build/BUILD/gnatcoll-db-gpl-2018-src/sqlite/obj/relocatable/
   --   -L/builddir/build/BUILD/gnatcoll-db-gpl-2018-src/stage/usr/lib64/gnatcoll_sql/
   --   -L/usr/lib64/gpr/relocatable/gpr/
   --   -L/usr/lib64/xmlada/
   --   -L/usr/lib64/gnatcoll/
   --   -L/usr/lib/gcc/x86_64-redhat-linux/9/adalib/
   --   -static
   --   -lgnarl
   --   -lgnat
   --   -lpthread
   --   -lrt
   --   -ldl
--  END Object file/option list   

end gnatcoll_sqlitemain;
